Run of fresh-releases for google-nexus-tools

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
[2022-03-19 03:27:18] Opening branch at https://gitlab.com/kalilinux/packages/google-nexus-tools.git/,branch=kali%2Fmaster
[2022-03-19 03:27:19] Using cached branch https://janitor.kali.org/git/google-nexus-tools/,branch=kali%2Flatest
[2022-03-19 03:27:19] 5/243)   
[2022-03-19 03:27:19] Total 254 (delta 110), reused 138 (delta 0)
[2022-03-19 03:27:23] Total 125 (delta 79), reused 44 (delta 0)
[2022-03-19 03:27:23] 
[2022-03-19 03:27:25] (7/7), done.
Compressing objects:  14% (1/7)
Compressing objects:  28% (2/7)
[2022-03-19 03:27:25] Total 7 (delta 0), reused 6 (delta 0), pack-reused 0
[2022-03-19 03:27:28] (7/7), done.
Compressing objects:  14% (1/7)
Compressing objects:  28% (2/7)
Compressing objects:  42% (3/7)
[2022-03-19 03:27:28] Total 7 (delta 0), reused 6 (delta 0), pack-reused 0
[2022-03-19 03:27:31] Total 7 (delta 0), reused 6 (delta 0), pack-reused 0
[2022-03-19 03:27:31] Workspace ready - starting.
[2022-03-19 03:27:31] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-03-19 03:27:31] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/corbindavenport/nexus-tools.git (from configuration)
Total 1032 (delta 191), reused 275 (delta 100), pack-reused 639
Using version string 5.4.
No upstream upstream-revision format specified, trying tag:2.3
Not including upstream history, since previous upstream version (2.3) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
Imported google-nexus-tools_5.4.orig.tar.gz with pristine-tar.
All changes applied successfully.
Found tag for topmost changelog version '6f35ced1925e3e55a0c7e042078948da17c9963a'
Committing to: /home/janitor/tmp/janitor6q5fracl/google-nexus-tools/
added .github
added .github/workflows
added .github/workflows/compile.yaml
added .gitignore
added DONATE.md
modified README.md
added analysis_options.yaml
deleted bin/linux-arm-adb
deleted bin/linux-arm-fastboot
deleted bin/linux-i386-adb
deleted bin/linux-i386-fastboot
deleted bin/mac-adb
deleted bin/mac-fastboot
added bin/main.dart
added compile.ps1
added compile.sh
modified debian/changelog
added install.ps1
modified install.sh
added lib
added lib/sys.dart
added pubspec.lock
added pubspec.yaml
deleted udev.txt
modified uninstall.sh
Committed revision 26.
Merged new upstream version 5.4 (previous: 2.3)
Merge new upstream version 5.4
[2022-03-19 03:28:26] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-03-19 03:28:26] Opened schroot session kali-dev-amd64-sbuild-2de173fe-026b-45aa-a44b-daeb953bc6f8 (from kali-dev-amd64-sbuild)
[2022-03-19 03:28:26] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f0f81c180f0>, [functools.partial(<function python_tie_breaker at 0x7f0f7a2221e0>, <GitWorkingTree of /home/janitor/tmp/janitor6q5fracl/google-nexus-tools>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-2de173fe-026b-45aa-a44b-daeb953bc6f8'), <function popcon_tie_breaker at 0x7f0f7a237b70>]))]
[2022-03-19 03:28:26] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitor6q5fracl']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 1027, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/janitor/janitor/worker.py", line 784, in process_package
    ws, subpath, output_directory, env)
  File "/opt/janitor/janitor/worker.py", line 382, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 524, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 301, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 236, in build_once
    sbuild_failure = worker_failure_from_sbuild_log(f)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/sbuild.py", line 864, in worker_failure_from_sbuild_log
    sbuildlog, failed_stage
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/sbuild.py", line 713, in find_failure_build
    match, error = find_build_failure_description(section_lines)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 3763, in find_build_failure_description
    linenos, err = matcher.match(lines, lineno)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 912, in match
    err = self.cb(m)
  File "/opt/janitor/buildlog-consultant/buildlog_consultant/common.py", line 222, in file_not_found
    if m.group(1).startswith("/") and not m.group(1).startswith("/<<PKGBUILDDIR>>"):
IndexError: no such group
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 3166e7cf-2064-4dc4-82e4-e0141740f811 is working
  • ☑ no relevant previous merge proposals